Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 14 May 2021 15:49:44 +0000

Hi Mohammed Altahir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have a request no #6306938839 and the expected time to receive it is may 15, but your representative called me on the 12th and it was ready but i was not in the same location where i was visiting MACCA and Now I am Available on a site in Riyadh I Hope I you will send my request to pick it up and thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2579637